#
# spec file for package gnuchess
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:         gnuchess
Summary:      GNU chess program
Url:          http://www.gnu.org/software/chess/chess.html
License:      GPL
Group:        Amusements/Games/Board/Chess
Provides:     chess_backend
Provides:     gchess
Version:      5.07
Release:      14.2
Vendor:       openSUSE-Education
BuildRequires: readline-devel
BuildRequires: flex
Source:       %{name}-%{version}.tar.bz2
# WARNING: Don't forget to re-generate book.dat manually before submit!
# Simply remove the source and build, updated book will be generated.
Source1:      book_1.01.pgn.bz2
Source2:      book.dat.bz2
Source3:      genbook.sh
Source4:      gnuchess.6
Patch0:       gnuchess-nonstatic.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
NoSource:     2

%description
A worthy chess opponent. Runs in text mode. You can find an X11
interface in the xboard package.



Authors:
--------
    Hans Eric Sandstrom <hes@log-sv.se>
    Stuart Cracraft <cracraft@rice-chex.ai.mit.edu>
    Mike McGann <mwm@hslrswi.hasler.ascom.ch>
    Philippe Schnoebelen <phs@lifia.imag.fr>
    Tim Mann <mann@src.dec.com>

%prep
%setup
%patch0

%build
%configure 
sed '/\/usr\/lib\/games\/gnuchess\/book\.dat/d;s:/usr/share/games:%{_datadir}:' <src/book.h >src/book.h~
mv src/book.h~ src/book.h
make %{?jobs:-j %jobs}

%install
if [ -f %{SOURCE2} ] ; then
    bzcat %{SOURCE2} >book.dat
else
    sh %{SOURCE3} %{SOURCE1}
fi
rm -rf doc/CVS
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
cp %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man6
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnuchess
cp book.dat $RPM_BUILD_ROOT%{_datadir}/gnuchess

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/bin/*
%{_mandir}/man*/*
%{_datadir}/gnuchess
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc

%changelog
* Thu Sep 25 2008 lars@linux-schulserver.de
- moved to Education base repository
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Apr  5 2005 mmj@suse.de
- Make gcc4 happy
* Thu Aug 26 2004 sbrabec@suse.cz
- Updated to version 5.07.
- Updated book to version 1.01.
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Thu Aug  7 2003 sbrabec@suse.cz
- Updated to version 5.06.
* Tue Feb 11 2003 sbrabec@suse.cz
- Updated to version 5.05.
- Adapt to new gnuchess packaging scheme.
- Added new build script genbook.sh to shrink source RPM.
* Tue Feb  4 2003 sbrabec@suse.cz
- Provide chess_backend.
* Mon Aug  6 2001 dan@suse.cz
- update to 5.02 version
* Tue May  8 2001 mfabian@suse.de
- bzip2 sources
* Tue May  2 2000 vinil@suse.cz
- prefix problem fixed
* Tue Apr 11 2000 vinil@suse.cz
- buildroot added
* Thu Jan 20 2000 ro@suse.de
- man to /usr/share/man
* Wed Oct 13 1999 ro@suse.de
- update to pl80
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
